backend:
  name: git-gateway
  branch: master

media_folder: '_site/images/'
public_folder: '/images'

collections:
 
  - name: 'home'
    label: 'Home Page'
    folder: 'src/'
    slug: '{{year}}-{{month}}-{{day}}-{{slug}}'
    fields:
      - { label: 'Page Title for google SEO', name: 'title', widget: 'string' }
      - { label: 'Header title - H1', name: 'h1', widget: 'string' }
      - { label: 'Page Description SEO', name: 'description', widget: 'text' }
      - { label: 'Body Text', name: 'body', widget: 'markdown'}
      - label: 'Section 1 - Hero'
        name: 'hero'
        widget: 'object'
        fields:
          - { label: 'banner Image', name: 'image', widget: 'image' }
          - { label: 'Banner Heading', name: 'header', widget: 'string' }
          - { label: 'Tagline', name: 'subhead', widget: 'string' }
          - { label: 'Tagline', name: 'text', widget: 'text' }

      

      - label: 'Section 3 - Icon Cards'
        name: 'bullet'
        widget: 'list'
        fields:
          - { label: 'Heading', name: 'header', widget: 'string' }
          - { label: 'Icon', name: 'icon', widget: 'string' }
          - { label: 'Text', name: 'text', widget: 'text' }

      - label: 'Section 4 - Service info Panel'
        name: 'infoPanel'
        widget: 'object'
        fields:
          - { label: 'Header', name: 'infoPanelTitle', widget: 'string' }
          - { label: 'Panel Image', name: 'infoPanelImage', widget: 'image' }
          - { label: 'Panel Text', name: 'infoPanelSubText', widget: 'text' }
          - label: 'info Panel List'
            name: 'info'
            widget: 'list'
            fields:
              - { label: 'List Header', name: 'header', widget: 'string' }
              - { label: 'List Item', name: 'text', widget: 'text' }

      - label: 'Section 2 - About Us'
        name: 'bio'
        widget: 'object'
        fields:
          - { label: 'Bio Header', name: 'image', widget: 'image' }
          - { label: 'Bio Text', name: 'header', widget: 'string' }
          - { label: 'About Image', name: 'text', widget: 'text' }

      - label: Testimonial Panel 
        name: testimonials
        widget: list 
        fields:
          - { label: 'Header', name: 'header', widget: 'string' }
          - { label: 'Review', name: 'description', widget: 'text' }
          - { label: 'Name', name: 'name', widget: 'string' }
          - { label: 'Location', name: 'company', widget: 'string' }

      - label: 'Section 5 - Call to Action Panel'
        name: 'cta'
        widget: 'object'
        fields:
          - { label: 'Heading', name: 'header', widget: 'string' }
          - { label: 'Text', name: 'text', widget: 'text' }

      - label: 'Section 6 - Map Panel'
        name: 'map'
        widget: 'object'
        fields:
          - { label: 'Heading', name: 'header', widget: 'string' }
          - { label: 'Text', name: 'text', widget: 'text' }

      - label: 'Section 7 - Contact Us Panel'
        name: 'contact'
        widget: 'object'
        fields:
          - { label: 'Image', name: 'image', widget: 'image' }
          - { label: 'Heading', name: 'header', widget: 'string' }
          - { label: 'Text', name: 'text', widget: 'text' }
          - { label: 'Button Text', name: 'button', widget: 'string' }

  - name: 'about'
    label: 'About Page'
    folder: 'src/about'
    slug: '{{fileSlug}}'
    fields:
      - { label: 'Page Title for google SEO', name: 'title', widget: 'string' }
      - { label: 'Header title - H1', name: 'h1', widget: 'string' }
      - { label: 'Page Description SEO', name: 'description', widget: 'text' }
      - { label: 'Body Text', name: 'body', widget: 'markdown'}

  - name: 'services'
    label: 'Cleaning Services Page'
    folder: 'src/services'
    create: true
    slug: "{{year}}-{{month}}-{{day}}-{{slug}}"
    fields:
      - { label: 'Page Title for google SEO', name: 'title', widget: 'string' }
      - { label: 'Header title - H1', name: 'h1', widget: 'string' }
      - { label: 'Page Description SEO', name: 'description', widget: 'text' }
      - { label: 'Featured Image', name: 'image', widget: 'image' }
      - { label: 'Image Alt for SEO', name: 'alt', widget: 'string' }
      - label: 'Page Link Title ( Breadcrumb )'
        name: 'eleventyNavigation'
        widget: 'object'
        fields:
          - { label: 'Link Name', name: 'key', widget: 'string' }
          - { label: 'Parent Page Name ( Cleaning Services )', name: 'parent', widget: 'string' }

      - { label: 'Body Text', name: 'body', widget: 'markdown'}
  
  - name: 'washroom'
    label: 'Washroom Services'
    folder: 'src/washroom'
    create: true
    slug: "{{year}}-{{month}}-{{day}}-{{slug}}"
    fields:
      - { label: 'Page Title for google SEO', name: 'title', widget: 'string' }
      - { label: 'Header title - H1', name: 'h1', widget: 'string' }
      - { label: 'Page Description SEO', name: 'description', widget: 'text' }
      - { label: 'Featured Image', name: 'image', widget: 'image' }
      - { label: 'Image Alt for SEO', name: 'alt', widget: 'string' }
      - label: 'Page Link Title ( Breadcrumb )'
        name: 'eleventyNavigation'
        widget: 'object'
        fields:
          - { label: 'Link Name', name: 'key', widget: 'string' }
          - { label: 'Parent Page Name ( Washroom Services )', name: 'parent', widget: 'string' }
      - { label: 'Body Text', name: 'body', widget: 'markdown'}
  
  - name: "Paper Products"
    label: "Paper Products Page"
    folder: "src/pest-control"
    slug: "{{year}}-{{month}}-{{day}}-{{slug}}"
    fields:
      - { label: "Title", name: "title", widget: "string" }
      - { label: 'Description', name: 'description', widget: 'text' }
      - { label: 'Header 1', name: 'h1', widget: 'string' }
      - { label: "Body", name: "body", widget: "markdown"}  

  - name: "customisedmats"
    label: "Customised Mats Page"
    folder: "src/customisedmats"
    slug: "{{year}}-{{month}}-{{day}}-{{slug}}"
    fields:
      - { label: "Title", name: "title", widget: "string" }
      - { label: 'Description', name: 'description', widget: 'text' }
      - { label: 'Header 1', name: 'h1', widget: 'string' }
      - { label: "Body", name: "body", widget: "markdown"}  

  - name: "contact"
    label: "Contact Page"
    folder: "src/contact"
    slug: "{{year}}-{{month}}-{{day}}-{{slug}}"
    fields:
      - { label: "Title", name: "title", widget: "string" }
      - { label: 'Description', name: 'description', widget: 'text' }
      - { label: 'Header 1', name: 'h1', widget: 'string' }
      - { label: "Body", name: "body", widget: "markdown"}  


  
  - name: "pages"
    label: "Other Pages, Privacy Policy etc"
    folder: "src/pages"
    slug: "{{year}}-{{month}}-{{day}}-{{slug}}"
    fields:
      - { label: "Title", name: "title", widget: "string" }
      - { label: 'Description', name: 'description', widget: 'text' }
      - { label: 'Header 1', name: 'h1', widget: 'string' }
      - { label: "Body", name: "body", widget: "markdown"} 
  
  - name: 'settings'
    label: 'Site Settings'
    delete: false # Prevent users from deleting documents in this collection
    editor:
      preview: false
    files:
      - name: 'general'
        label: 'Site Settings'
        file: 'src/_data/settings.json'
        description: 'General Site Settings'
        fields:
          - { label: 'Site title', name: 'name', widget: 'string' }
          - { label: 'Site Web Address', name: 'domain', widget: 'string' }
          - { label: 'Site tag line', name: 'tagline', widget: 'string' }
          - { label: 'Site Description SEO', name: 'description', widget: 'string' }
          - { label: 'Logo', name: 'logo', widget: 'image' }
          - { label: 'Footer Logo', name: 'footer_logo', widget: 'image' }
          - { label: 'Phone Number', name: 'phone', widget: 'string' }
          - { label: 'Email Address', name: 'email', widget: 'string' }
          - { label: 'Address Line 1', name: 'address1', widget: 'string' }
          - { label: 'Address Line 2', name: 'address2', widget: 'string' }
          - { label: 'Address Line 3', name: 'address3', widget: 'string' }
          - { label: 'Facebook Link', name: 'facebook', widget: 'string' }
          - { label: 'twitter Link', name: 'twitter', widget: 'string' }
          - { label: 'Linkedin Link', name: 'linkedin', widget: 'string' }
          - { label: 'Current Year ( Copyright )', name: 'year', widget: 'string' }
      
      
